Create User
curl --request POST \
--url https://los.universal.rollout.com/api/users \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"role": "<string>",
"status": "<string>",
"username": "<string>",
"type": "<string>",
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"timezone": "<string>",
"participatingOfficeIds": [
"<string>"
],
"password": "<string>"
}
'import requests
url = "https://los.universal.rollout.com/api/users"
payload = {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"role": "<string>",
"status": "<string>",
"username": "<string>",
"type": "<string>",
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"timezone": "<string>",
"participatingOfficeIds": ["<string>"],
"password": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
firstName: '<string>',
lastName: '<string>',
phone: '<string>',
role: '<string>',
status: '<string>',
username: '<string>',
type: '<string>',
address: {
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>',
country: '<string>',
county: '<string>'
},
timezone: '<string>',
participatingOfficeIds: ['<string>'],
password: '<string>'
})
};
fetch('https://los.universal.rollout.com/api/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>",
"status": "<string>",
"timezone": "<string>",
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {},
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"username": "<string>",
"type": "<string>",
"offices": [
{
"id": "<string>"
}
]
}
]{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Users
Create User
POST /users
POST
/
users
Create User
POST /users
Base URL: https://los.universal.rollout.com/api
Parameters
No parameters.Responses
| Status | Description |
|---|---|
201 | Created |
400 | Bad Request |
409 | Conflict |
OpenAPI Source
/openapi/los.json POST /usersBody
application/jsonmultipart/form-datatext/plain
Response
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I